﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinTabs;

namespace WindowsFormsApplication306
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraDockManager1.CreationFilter = new CF();
        }
    }

    class CF : IUIElementCreationFilter
    {
        TabItemUIElement tab;
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is TabItemUIElement)
            {
                tab = (TabItemUIElement)parent as TabItemUIElement;
                ButtonUIElement newBB = new ButtonUIElement(parent);
                newBB.Text = "x";
                newBB.Rect = new Rectangle(parent.Rect.X + 50, parent.Rect.Y + 1, 18, 20);
                newBB.ElementClick += new UIElementEventHandler(newBB_ElementClick);
                parent.ChildElements.Add(newBB);
            }
        }

        void newBB_ElementClick(object sender, UIElementEventArgs e)
        {
            Form1.ultraDockManager1.DockAreas[0].Panes[tab.TabItem.Index].Close();
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }

}
